import request from '@/utils/request'

// 查询外资补充信息列表
export function listInvestment(query) {
  return request({
    url: '/basicData/xcrSupplementaryForeignInvestment/findByPage',
    method: 'get',
    params: query
  })
}

// 查询外资补充信息详细
export function getInvestment(xhCodeId) {
  return request({
    url: '/basicData/xcrSupplementaryForeignInvestment/' + xhCodeId,
    method: 'get'
  })
}

// 新增外资补充信息
export function addInvestment(data) {
  return request({
    url: '/basicData/xcrSupplementaryForeignInvestment',
    method: 'post',
    data: data
  })
}

// 修改外资补充信息
export function updateInvestment(data) {
  return request({
    url: '/basicData/xcrSupplementaryForeignInvestment',
    method: 'put',
    data: data
  })
}

// 删除外资补充信息
export function delInvestment(xhCodeId) {
  return request({
    url: '/basicData/xcrSupplementaryForeignInvestment/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInvestmentBatch(ids) {
  return request.post('/basicData/xcrSupplementaryForeignInvestment/delete',ids)
}
